<!-- CANVAS SAMPLE -->
<html>
    <head>
        <title>ExplorerCanvas Example 1</title>
        <script type="text/javascript">
            var canvas, ctx;
            var myobject;
            
            function Object()
            {
                this.x = Math.random() * 200;
                this.y = Math.random() * 300;
                this.dx = 1;
                this.dy = 1;
            }
            
            Object.prototype.update = function()
            {
                this.x += this.dx;
                this.y += this.dy;
                
                if (this.x + 110 > canvas.width || this.x < 0)
                {
                    this.dx = -this.dx;
                }
                
                if (this.y + 50 > canvas.height || this.y < 0)
                {
                    this.dy = -this.dy;
                }
            }
            
            function loop()
            {
                ctx.clearRect(0, 0, canvas.width, canvas.height);
                myobject.update();
                x = myobject.x;
                y = myobject.y;
                
                ctx.beginPath();
                ctx.moveTo(x+20,y);
                ctx.lineTo(x+30,y);
                ctx.lineTo(x+30,y+45);
                ctx.lineTo(x+25,y+50);
                ctx.lineTo(x+5,y+50);
                ctx.lineTo(x+0,y+45);
                ctx.lineTo(x+0,y+30);
                ctx.lineTo(x+10,y+30);
                ctx.lineTo(x+10,y+40);
                ctx.lineTo(x+20,y+40);
                ctx.lineTo(x+20,y+0);
                
                ctx.moveTo(x+45,y+0);
                ctx.lineTo(x+65,y+0);
                ctx.lineTo(x+70,y+5);
                ctx.lineTo(x+70,y+10);
                ctx.lineTo(x+50,y+10);
                ctx.lineTo(x+50,y+20);
                ctx.lineTo(x+70,y+20);
                ctx.lineTo(x+70,y+45);
                ctx.lineTo(x+65,y+50);
                ctx.lineTo(x+45,y+50);
                ctx.lineTo(x+40,y+45);
                ctx.lineTo(x+40,y+40);
                ctx.lineTo(x+60,y+40);
                ctx.lineTo(x+60,y+30);
                ctx.lineTo(x+40,y+30);
                ctx.lineTo(x+40,y+5);
                ctx.lineTo(x+45,y+0);
                
                ctx.moveTo(x+80,y+30);
                ctx.lineTo(x+90,y+30);
                ctx.lineTo(x+90,y+40);
                ctx.lineTo(x+80,y+40);
                ctx.lineTo(x+80,y+30);
                
                ctx.moveTo(x+90,y+0);
                ctx.lineTo(x+110,y+0);
                ctx.lineTo(x+110,y+50);
                ctx.lineTo(x+100,y+50);
                ctx.lineTo(x+100,y+10);
                ctx.lineTo(x+90,y+10);
                ctx.lineTo(x+90,y+0);
                
                ctx.stroke();
                
                ctx.font = "36px 'Monaco'";
                ctx.fillStyle = "white";
                ctx.fillText("Canvas sample", 10, 25);
                
                ctx.closePath();
                setTimeout(loop, 3);
            }
            
            function load()
            {
                canvas = document.getElementById("cv");
                ctx = canvas.getContext("2d");
                myobject = new Object();
                ctx.lineWidth = "5";
                ctx.strokeStyle = "rgb(255, 255, 255)";
                loop();
            }
            
            </script>
        <style>
            body
            {
                background-color:green;
                margin:0px;
                text-align:center;
            }
            
            canvas
            {
                border:1px solid #000000;
            }
            
            </style>
    </head>
    <body onload="load();">
        <canvas id="cv" width="320" height="368"></canvas>
    </body>
</html>
